Subject: Re: bug#44666: 28.0.50; malloc-info: Emacs became not responsive, using hard disk all time

From: Jean Louis <[email-masked]>
Date: Mon, 16 Nov 2020 19:17:35 +0300

* Eli Zaretskii <[email-masked]> [2020-11-16 19:12]:
> > From: Jean Louis <[email-masked]>
> > Date: Sun, 15 Nov 2020 17:55:09 +0300
> > 
> > Sun Nov 15 12:38:28 EAT 2020
> > <malloc version="1">
> > <heap nr="0">
> > <sizes>
> > 							        <size from="49" to="49" total="49" count="1"/>
> >   <unsorted from="257" to="257" total="257" count="1"/>
> > </sizes>
> > <total type="fast" count="0" size="0"/>
> > <total type="rest" count="2" size="306"/>
> > <system type="current" size="11470942208"/>
> > <system type="max" size="11470942208"/>
> > <aspace type="total" size="11470942208"/>
> > <aspace type="mprotect" size="11470942208"/>
> > </heap>
> 
> This basically says you have 11GB in the heap, but there are no
> details.  So I'm not sure how this could help us make any progress.

I was thinking that command would tell you something.

There was nothing special. I have 4 GB memory and 8 GB swap. There was
no special program running, just XTerm and Emacs.

I would like to find out why is Emacs taking that memory, but I am
unable.

Now I am running it with ulimit, but I am unsure if that ulimit
command really works as manual pages says it sometimes does not work.

#!/bin/bash
unset CDPATH
ulimit -m 3145728
date >> /home/data1/protected/tmp/emacs-debug
emacs >> /home/data1/protected/tmp/emacs-debug 2>&1

If there is nothing to be done with this bug, we can close.

You could suggest me on what to put attention to find out what is
going on.